OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
CDM

# CDM_DataMapNodeOfNamesDirectory Class Reference

`#include <CDM_DataMapNodeOfNamesDirectory.hxx>`

## Public Member Functions
| CDM_DataMapNodeOfNamesDirectory (const TCollection_ExtendedString &K, const Standard_Integer &I, const TCollection_MapNodePtr &n)
TCollection_ExtendedString & | Key () const
Standard_Integer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_ExtendedString | myKey
Standard_Integer | myValue

## Constructor & Destructor Documentation

CDM_DataMapNodeOfNamesDirectory::CDM_DataMapNodeOfNamesDirectory | ( | const TCollection_ExtendedString & | K,
|  | const Standard_Integer & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const CDM_DataMapNodeOfNamesDirectory::Handle | ( | Standard_Type |  | ) | const

TCollection_ExtendedString& CDM_DataMapNodeOfNamesDirectory::Key | ( |  | ) | const

Standard_Integer& CDM_DataMapNodeOfNamesDirectory::Value | ( |  | ) | const

## Field Documentation

TCollection_ExtendedString CDM_DataMapNodeOfNamesDirectory::myKey`[private]`

Standard_Integer CDM_DataMapNodeOfNamesDirectory::myValue`[private]`

The documentation for this class was generated from the following file:

- CDM_DataMapNodeOfNamesDirectory.hxx